let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/dzrvibwj2vjwqmc34wk3x1ffsjpp4av7-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/y41s1vcn0irn9ahn9wh62yx2cygs7qjj-coreutils-8.32/bin";
  bzip2 = "/nix/store/y0fcga410akmx5pm35nrysippf6pywh7-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/20cmcbwrgpq9xmil80dxvc3i32irrkq1-gzip-1.10/bin/gzip";
  xz = "/nix/store/g1vf32ziib1z8w9ydlzbd12x2kg80r3a-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/1v3ysa00k1a8fz6b030z195x8l3a9v2p-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/y41s1vcn0irn9ahn9wh62yx2cygs7qjj-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/2z1gi62709743fzi587blxjy15alw2w6-nix-2.3.18/bin";
  nixPrefix = "/nix/store/2z1gi62709743fzi587blxjy15alw2w6-nix-2.3.18";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/2z1gi62709743fzi587blxjy15alw2w6-nix-2.3.18/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
